# python

A Leiningen template for standard python project.

Features:

 * auto bootstrap virtualenv, only python is needed
 * auto generated setup.py file
 * auto create deb package for distribution
   * create offline wheelhouse for fast production release
 * auto create git repo
 * allow you to install git hooks easily

## Usage

To create a new python project, run

	mkdir foo
	cd foo
    lein new python foo --to-dir .

	TODO make it work when outside the project root dir as well.

Dependencies for the generated python project:

    make - used as a build tool.
    fpm - used to create deb package.


## License

Copyright © 2014 Yuanle Song <sylecn@gmail.com>

Distributed under the Eclipse Public License either version 1.0 or (at
your option) any later version.
